Subject: Re: Conferencing!!!

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 17 Apr 2000 07:30:48 -0400

Essentially right, but possibly confusing to some.

> In the case of a three way calling feature, does the
> following accurately
> describe the sequence of operation, for a single Context approach ?
Confusion comes because of naming.  Let's call MG-A with T1, MGB with
T2 and MGC with T3.  Each MG creates RTP ephemeral terminations A1, A2,
B1...

> Single Context Approach :
> step 1: endpoint1 calls endpoint2 via the MGC. MG adds two
> terminations, say T1 and T2 in a Context (ContextID = 22)
MG-A has T1.  It adds it to a new context with an ephemeral RTP termination,

call it A1, so this is a two termination context T1 and A1.  On MG-B
we do the same, with T2 and B1.  A1 and B1 have bidirectional RTP flows
between them, and thus T1 and T2 can talk together.

>
> step 2: endpoint1 presses flash.The MG puts endpoint2 on
> hold. Does this
> mean that a new Context is created and Termination, T1 moved
> to it (Say,
> this new Context has ContextID=33)???
There are a couple of ways to do hold.  I like the one you describe,
create a new, one termination context for A1 (the RTP flow).  It would let
you use a signal, or another termination, for "music on hold".
So Context 22 has T1, context 33 has A1.

Notice that on MG-B, nothing changes

> step 3: endpoint1 now calls endpoint3. The MG adds a Termination T3 to
> Context 33.
So now we add a new ephemeral termination, call it A2 into context 22.
It now has two terminations, T1 and A2.  Over on MG-C, it creates a
two termination context with T3 and C1.  A bidirectional RTP flow is
established between A2 and C1.

>
> step 4: endpoint1 presses flash again. The MG, moves
> endpoint2 (which was
> on hold) to Context 33. Hence, it implicitly deletes Context 22. It
> connects the three endpoint to the ports of a Conference bridge since
> there are now more than 2 Terminations in the Context, ContextID=22.
Yep.  Depending on the way the conference bridge is built, but some will be
built using context (and topology).  Those with that point a view should
consider if you just Move A1 back to Context 22, and the mere fact that
there
is more than two terminations implies conference behavior, or whether it
takes something else.

>
>
>
> Multiple Contexts Approach :
> The case of having one context per leg , would be create a Context and
> place, Termination T1 and one of the ports of the Conference bridge,
> Termination TA in a Context. Repeat the same with all the
> three endpoints
> and define a package for the mixing and switching properties
> specified in
> the Local Control Descriptor.
Then MG-A would:
        Create a new context (44) with TC and Move A3 into it.
        Add TA to context 22 with T1
        Add TB to context 33 with A2

Finally, suppose the conference facility is not on MG-C but is on MG-Conf.
Then the MGC has to have MG-Conf set up 3 new RTP flows, to which MG-A,
MG-B and MG-C must connect.  The old RTP terminations would all be taken
down.

Brian